## ros-iron-rmf-visualization-schedule 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_visualization_schedule)
set(CMAKE_EXPORT_COMPILE_COMMANDS on)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include(GNUInstallDirs)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rmf_traffic 3 REQUIRED)
find_package(rmf_traffic_ros2 2 REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(websocketpp REQUIRED)
find_package(OpenSSL REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(visualization_msgs REQUIRED)
find_package(rmf_traffic_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rmf_visualization_msgs REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(Threads)

if(BUILD_TESTING)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_package(rmf_utils REQUIRED)
  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN include/rmf_visualization_schedule src test
    CONFIG_FILE ${uncrustify_config_file}
    MAX_LINE_LENGTH 80
  )
endif()

#===============================================================================
file(GLOB_RECURSE core_lib_srcs "src/rmf_visualization_schedule/*.cpp")
add_library(rmf_visualization_schedule SHARED ${core_lib_srcs})

ament_target_dependencies(rmf_visualization_schedule
  PUBLIC
    rmf_traffic
    rmf_traffic_ros2
    rclcpp
    websocketpp
    OpenSSL
    Threads
    rmf_traffic_msgs
)

target_include_directories(rmf_visualization_schedule
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

ament_export_dependencies(
  rmf_traffic
  rmf_traffic_ros2
  rclcpp
  rmf_traffic_msgs
  websocketpp
  OpenSSL)
ament_export_include_directories(include)
ament_export_targets(rmf_visualization_schedule HAS_LIBRARY_TARGET)

#===============================================================================
add_library(schedule_visualizer SHARED src/ScheduleVisualizer.cpp)
ament_target_dependencies(schedule_visualizer
  PUBLIC
    rclcpp_components
    visualization_msgs
    geometry_msgs
    rmf_visualization_msgs
)

target_link_libraries(schedule_visualizer
  PRIVATE
    rmf_visualization_schedule
)

target_compile_features(schedule_visualizer INTERFACE cxx_std_17)

rclcpp_components_register_node(schedule_visualizer
  PLUGIN "ScheduleVisualizer"
  EXECUTABLE schedule_visualizer_node)

#===============================================================================
install(
  DIRECTORY include/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(
  DIRECTORY config
  DESTINATION share/${PROJECT_NAME}
)

install(
  TARGETS rmf_visualization_schedule
  EXPORT rmf_visualization_schedule
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(
  TARGETS schedule_visualizer
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

add_subdirectory(test)

ament_package()

=== debian/changelog ===
ros-iron-rmf-visualization-schedule (2.1.1-1jammy) jammy; urgency=high

  * Improve linking times (#63 <https://github.com/open-rmf/rmf_visualization/pull/63>)
  * Contributors: Grey, Luca Della Vedova, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-iron-rmf-visualization-schedule (2.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#57 <https://github.com/open-rmf/rmf_visualization/pull/57>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-visualization-schedule (2.0.1-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Mon, 14 Nov 2022 16:00:00 -0000

ros-iron-rmf-visualization-schedule (2.0.0-1jammy) jammy; urgency=high

  * Require rmf_traffic v3: (#51 <https://github.com/open-rmf/rmf_visualization/pull/51>)
  * Separate map marker and floor plan publishing to separate packages: (#44 <https://github.com/open-rmf/rmf_visualization/pull/44>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-iron-rmf-visualization-schedule (1.3.0-1jammy) jammy; urgency=high

  * Update to traffic dependency API: (#43 <https://github.com/open-rmf/rmf_visualization/pull/43>)

 -- Yadunund <yadunund@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-iron-rmf-visualization-schedule (1.2.1-1jammy) jammy; urgency=high

  * Fix style checking in CI: (#37 <https://github.com/open-rmf/rmf_visualization/pull/37>)
  * Contributors: Grey

 -- Yadunund <yadunund@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-iron-rmf-visualization-schedule (1.2.0-1jammy) jammy; urgency=high

  * Public API for creating of ScheduleDataNode and TrajectoryServer. Single schedule_visualizer executable that publishes schedule markers and starts trajectory websocket server: (#6 <https://github.com/open-rmf/rmf_visualization/pull/>)
  * Removed dependencies on boost libraries: (#7 <https://github.com/open-rmf/rmf_visualization/pull/7>)
  * Renamed package to rmf_visualization_schedule: (#8 <https://github.com/open-rmf/rmf_visualization/pull/8>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Jun 2021 16:00:00 -0000

ros-iron-rmf-visualization-schedule (1.1.0-1jammy) jammy; urgency=high

  * Map markers are only published if a valid Map name is supplied via the SchedulePanel: (#58 <https://github.com/osrf/rmf_schedule_visualizer/pull/58>)
  * Updated dependencies: (#59, #60, #61, #71 <https://github.com/osrf/rmf_schedule_visualizer/pull/71>)
  * Group conflicting participants in websocket server response: (#65 <https://github.com/osrf/rmf_schedule_visualizer/pull/65>)
  * Fix the radius of RViz cylinder markers: (#67 <https://github.com/osrf/rmf_schedule_visualizer/pull/67>)
  * Added capability to publish negotiation status/conclusion messages and negotiation trajectories via websocket: (#69 <https://github.com/osrf/rmf_schedule_visualizer/pull/69>)
  * Convert VisualizerDataNode from reference to shared pointer: (#72 <https://github.com/osrf/rmf_schedule_visualizer/pull/72>)
  * Reduce printouts for websocket server: (#73 <https://github.com/osrf/rmf_schedule_visualizer/pull/73>)
  * Negotiation updates for websocket server are subscribed connections: (#75 <https://github.com/osrf/rmf_schedule_visualizer/pull/75>)
  * Added server_keephistory.xml to launch a server that retains its negotiation history: (#77 <https://github.com/osrf/rmf_schedule_visualizer/pull/77>)
  * Floorplan images are published as OccupancyMaps: (#78 <https://github.com/osrf/rmf_schedule_visualizer/pull/78>)
  * Contributors: Grey, Kevin_Skywalker, Michael X. Grey, Yadu, Yadunund, ddeng, ddengster

 -- Yadunund <yadunund@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-iron-rmf-visualization-schedule (1.0.0-1jammy) jammy; urgency=high

  * A ROS 2 node that publishers RViz markers to visualize the itineraries of robots as submitted to the rmf traffic schedule along with the expected positions of the robots and their vicinity radii
  * Contributors: Aaron, Aaron Chong, Chen Bainian, Grey, Hellyna NG, Marco A. Gutiérrez, Michael X. Grey, Yadu

 -- Yadunund <yadunund@openrobotics.org>  Sun, 21 Jun 2020 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rmf-visualization-schedule
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libeigen3-dev, libssl-dev, libwebsocketpp-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rmf-traffic, ros-iron-rmf-traffic-msgs, ros-iron-rmf-traffic-ros2, ros-iron-rmf-utils <!nocheck>, ros-iron-rmf-visualization-msgs, ros-iron-rosidl-default-generators, ros-iron-visualization-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-visualization-schedule
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libeigen3-dev, libssl-dev, libwebsocketpp-dev, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rmf-traffic, ros-iron-rmf-traffic-msgs, ros-iron-rmf-traffic-ros2, ros-iron-rmf-visualization-msgs, ros-iron-rosidl-default-generators, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: A visualizer for trajectories in rmf schedule

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-visualization-schedule//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
